# std::basic_string_view::front

From cppreference.com
< cpp‎ | string‎ | basic string view

constexpr const_reference front() const; |  | (since C++17)

Returns reference to the first character in the view. The behavior is undefined if empty() == true.

### Parameters

(none)

### Return value

reference to the first character, equivalent to operator[](0).

### Complexity

Constant.

### See also

back | accesses the last character (public member function)
empty | checks whether the view is empty (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string_view/front&oldid=90117"